Deploy using an ops file

Good day,

These are the steps I have taken in order to deploy using an ops file:

git clone http://git.mech.kuleuven.be/robotics/orocos_toolchain_ros.git
 
git checkout -b orocos_toolchain_ros-0.2
 
git submodule init
 
git submodule update --recursive
 
rosmake ocl
 
rosrun ocl deployer-gnulinux -s deploy.ops 

With the deploy.ops:

import("ocl")
loadComponent("HelloWorld","OCL::HelloWorld")
HelloWorld.start()
And this is the output:

[rosrun] You have chosen a non-unique executable, please pick one of the following:
1) /opt/ros/cturtle/stacks/orocos_toolchain_ros/ocl/install/bin/deployer-gnulinux
2) /opt/ros/cturtle/stacks/orocos_toolchain_ros/ocl/bin/deployer-gnulinux
#? 1
0.001 [ ERROR  ][TinyDemarshaller] Could not load deploy.ops Error: Error document empty.
0.001 [ ERROR  ][DeploymentComponent::loadComponents] Some error occured while parsing deploy.ops
0.001 [ ERROR  ][Logger] Failed to load a component: aborting kick-start.
   Switched to : Deployer
 
  This console reader allows you to browse and manipulate TaskContexts.
  You can type in an operation, expression, create or change variables.
  (type 'help' for instructions and 'ls' for context info)
 
    TAB completion and HISTORY is available ('bash' like)
 
Deployer [S]> 

With every ops file I get this error message. Specifying a non-existing ops file gives a different error.

Any ideas?

Thanks,

Tim

Deploy using an ops file

On Fri, Jan 28, 2011 at 5:06 PM, <t [dot] t [dot] g [dot] clephas [..] ...> wrote:
> Good day,
>
> These are the steps I have taken in order to deploy using an ops file:
>
> &#10;&gt; git clone http://git.mech.kuleuven.be/robotics/orocos_toolchain_ros.git&#10;&gt;&#... git checkout -b orocos_toolchain_ros-0.2&#10;&gt;&#10;&gt; git submodule init&#10;&gt;&#10;&gt; git submodule update --recursive&#10;&gt;&#10;&gt; rosmake ocl&#10;&gt;&#10;&gt; rosrun ocl deployer-gnulinux -s deploy.ops&#10;&gt;
>
> With the deploy.ops:
>
> &#10;&gt; import(&quot;ocl&quot;)&#10;&gt; loadComponent(&quot;HelloWorld&quot;,&quot;OCL::HelloWorld&quot;)&#10;&gt; HelloWorld.start()&#10;&gt;
> And this is the output:
>
> &#10;&gt; [rosrun] You have chosen a non-unique executable, please pick one of the following:&#10;&gt; 1) /opt/ros/cturtle/stacks/orocos_toolchain_ros/ocl/install/bin/deployer-gnulinux&#10;&gt; 2) /opt/ros/cturtle/stacks/orocos_toolchain_ros/ocl/bin/deployer-gnulinux&#10;&gt; #? 1&#10;&gt; 0.001 [ ERROR  ][TinyDemarshaller] Could not load deploy.ops Error: Error document empty.&#10;&gt; 0.001 [ ERROR  ][DeploymentComponent::loadComponents] Some error occured while parsing deploy.ops&#10;&gt; 0.001 [ ERROR  ][Logger] Failed to load a component: aborting kick-start.&#10;&gt;   Switched to : Deployer&#10;&gt;&#10;&gt;  This console reader allows you to browse and manipulate TaskContexts.&#10;&gt;  You can type in an operation, expression, create or change variables.&#10;&gt;  (type &#039;help&#039; for instructions and &#039;ls&#039; for context info)&#10;&gt;&#10;&gt;    TAB completion and HISTORY is available (&#039;bash&#039; like)&#10;&gt;&#10;&gt; Deployer [S]&gt;&#10;&gt;
>
> With every ops file I get this error message. Specifying a non-existing ops file gives a different error.
>
> Any ideas?

It looks like you're running an older version of the deployer app. what does
rosrun ocl deployer-gnulinux --help
show for the -s option: does it mention .ops files ?

-s [ --start ] arg Deployment XML or script file (eg
'config-file.xml'
or 'script.ops')

Peter
--
Orocos-Users mailing list
Orocos-Users [..] ...
http://lists.mech.kuleuven.be/mailman/listinfo/orocos-users

Deploy using an ops file

________________________________________
Van: Peter Soetens [peter [..] ...]
Verzonden: vrijdag 28 januari 2011 23:41
Aan: Clephas, T.T.G.
CC: orocos-users [..] ...
Onderwerp: Re: [Orocos-users] Deploy using an ops file

On Fri, Jan 28, 2011 at 5:06 PM, <t [dot] t [dot] g [dot] clephas [..] ...> wrote:
> Good day,
>
> These are the steps I have taken in order to deploy using an ops file:
>
> &#10;&gt; git clone http://git.mech.kuleuven.be/robotics/orocos_toolchain_ros.git&#10;&gt;&#... git checkout -b orocos_toolchain_ros-0.2&#10;&gt;&#10;&gt; git submodule init&#10;&gt;&#10;&gt; git submodule update --recursive&#10;&gt;&#10;&gt; rosmake ocl&#10;&gt;&#10;&gt; rosrun ocl deployer-gnulinux -s deploy.ops&#10;&gt;
>
> With the deploy.ops:
>
> &#10;&gt; import(&quot;ocl&quot;)&#10;&gt; loadComponent(&quot;HelloWorld&quot;,&quot;OCL::HelloWorld&quot;)&#10;&gt; HelloWorld.start()&#10;&gt;
> And this is the output:
>
> &#10;&gt; [rosrun] You have chosen a non-unique executable, please pick one of the following:&#10;&gt; 1) /opt/ros/cturtle/stacks/orocos_toolchain_ros/ocl/install/bin/deployer-gnulinux&#10;&gt; 2) /opt/ros/cturtle/stacks/orocos_toolchain_ros/ocl/bin/deployer-gnulinux&#10;&gt; #? 1&#10;&gt; 0.001 [ ERROR  ][TinyDemarshaller] Could not load deploy.ops Error: Error document empty.&#10;&gt; 0.001 [ ERROR  ][DeploymentComponent::loadComponents] Some error occured while parsing deploy.ops&#10;&gt; 0.001 [ ERROR  ][Logger] Failed to load a component: aborting kick-start.&#10;&gt;   Switched to : Deployer&#10;&gt;&#10;&gt;  This console reader allows you to browse and manipulate TaskContexts.&#10;&gt;  You can type in an operation, expression, create or change variables.&#10;&gt;  (type &#039;help&#039; for instructions and &#039;ls&#039; for context info)&#10;&gt;&#10;&gt;    TAB completion and HISTORY is available (&#039;bash&#039; like)&#10;&gt;&#10;&gt; Deployer [S]&gt;&#10;&gt;
>
> With every ops file I get this error message. Specifying a non-existing ops file gives a different error.
>
> Any ideas?

It looks like you're running an older version of the deployer app. what does
rosrun ocl deployer-gnulinux --help
show for the -s option: does it mention .ops files ?

-s [ --start ] arg Deployment XML or script file (eg
'config-file.xml'
or 'script.ops')

Peter

I get:
-s [ --start ] arg Deployment configuration file (eg 'config-file.xml')

So I've got the wrong version. I get this both with the ocl checked out at "toolchain-2.2" and "orocos_toolchain_ros-0.2"

So what version should I have?

Thanks,

Tim

Deploy using an ops file

On Monday 31 January 2011 12:03:08 Clephas, T.T.G. wrote:
> ________________________________________
> Van: Peter Soetens [peter [..] ...]
> Verzonden: vrijdag 28 januari 2011 23:41
> Aan: Clephas, T.T.G.
> CC: orocos-users [..] ...
> Onderwerp: Re: [Orocos-users] Deploy using an ops file
>
> On Fri, Jan 28, 2011 at 5:06 PM, <t [dot] t [dot] g [dot] clephas [..] ...> wrote:
> > Good day,
> >
> > These are the steps I have taken in order to deploy using an ops file:
> >
> > &#10;&gt; &gt; git clone http://git.mech.kuleuven.be/robotics/orocos_toolchain_ros.git&#10;&gt; &gt; &#10;&gt; &gt; git checkout -b orocos_toolchain_ros-0.2&#10;&gt; &gt; &#10;&gt; &gt; git submodule init&#10;&gt; &gt; &#10;&gt; &gt; git submodule update --recursive&#10;&gt; &gt; &#10;&gt; &gt; rosmake ocl&#10;&gt; &gt; &#10;&gt; &gt; rosrun ocl deployer-gnulinux -s deploy.ops&#10;&gt; &gt;
> >
> > With the deploy.ops:
> >
> > &#10;&gt; &gt; import(&quot;ocl&quot;)&#10;&gt; &gt; loadComponent(&quot;HelloWorld&quot;,&quot;OCL::HelloWorld&quot;)&#10;&gt; &gt; HelloWorld.start()&#10;&gt; &gt;
> > And this is the output:
> >
> > &#10;&gt; &gt; [rosrun] You have chosen a non-unique executable, please pick one of the&#10;&gt; &gt; following: 1)&#10;&gt; &gt; /opt/ros/cturtle/stacks/orocos_toolchain_ros/ocl/install/bin/deployer-gn&#10;&gt; &gt; ulinux 2)&#10;&gt; &gt; /opt/ros/cturtle/stacks/orocos_toolchain_ros/ocl/bin/deployer-gnulinux&#10;&gt; &gt; #? 1&#10;&gt; &gt; 0.001 [ ERROR  ][TinyDemarshaller] Could not load deploy.ops Error: Error&#10;&gt; &gt; document empty. 0.001 [ ERROR  ][DeploymentComponent::loadComponents]&#10;&gt; &gt; Some error occured while parsing deploy.ops 0.001 [ ERROR  ][Logger]&#10;&gt; &gt; Failed to load a component: aborting kick-start.&#10;&gt; &gt; &#10;&gt; &gt;   Switched to : Deployer&#10;&gt; &gt;  &#10;&gt; &gt;  This console reader allows you to browse and manipulate TaskContexts.&#10;&gt; &gt;  You can type in an operation, expression, create or change variables.&#10;&gt; &gt;  (type &#039;help&#039; for instructions and &#039;ls&#039; for context info)&#10;&gt; &gt;  &#10;&gt; &gt;    TAB completion and HISTORY is available (&#039;bash&#039; like)&#10;&gt; &gt; &#10;&gt; &gt; Deployer [S]&gt;&#10;&gt; &gt;
> >
> > With every ops file I get this error message. Specifying a non-existing
> > ops file gives a different error.
> >
> > Any ideas?
>
> It looks like you're running an older version of the deployer app. what
> does rosrun ocl deployer-gnulinux --help
> show for the -s option: does it mention .ops files ?
>
> -s [ --start ] arg Deployment XML or script file (eg
> 'config-file.xml'
> or 'script.ops')
>
> Peter
>
> I get:
> -s [ --start ] arg Deployment configuration file (eg
> 'config-file.xml')
>
> So I've got the wrong version. I get this both with the ocl checked out at
> "toolchain-2.2" and "orocos_toolchain_ros-0.2"
>
> So what version should I have?

In the 'ocl' toochain-2.2 branch: did you try a 'git pull origin' or 'git pull
autobuild' (depends if you did a manual install or bootstrap script) ?

On the orocos_toolchain_ros-0.2 branch, did you try a 'git submodule update'
to get the latest rtt/ocl version ? (may also require a 'git pull origin' to
get the latest ros updates).

Hope this helps,
Peter

Deploy using an ops file

2011/1/28 t [dot] t [dot] g [dot] clephas [..] ... <t [dot] t [dot] g [dot] clephas [..] ...>:
> Good day,
>
> These are the steps I have taken in order to deploy using an ops file:
>
> &#10;&gt; git clone http://git.mech.kuleuven.be/robotics/orocos_toolchain_ros.git&#10;&gt;&#... git checkout -b orocos_toolchain_ros-0.2&#10;&gt;&#10;&gt; git submodule init&#10;&gt;&#10;&gt; git submodule update --recursive&#10;&gt;&#10;&gt; rosmake ocl&#10;&gt;&#10;&gt; rosrun ocl deployer-gnulinux -s deploy.ops&#10;&gt;
>
> With the deploy.ops:
>
> &#10;&gt; import(&quot;ocl&quot;)&#10;&gt; loadComponent(&quot;HelloWorld&quot;,&quot;OCL::HelloWorld&quot;)&#10;&gt; HelloWorld.start()&#10;&gt;
> And this is the output:
>
> &#10;&gt; [rosrun] You have chosen a non-unique executable, please pick one of the following:&#10;&gt; 1) /opt/ros/cturtle/stacks/orocos_toolchain_ros/ocl/install/bin/deployer-gnulinux&#10;&gt; 2) /opt/ros/cturtle/stacks/orocos_toolchain_ros/ocl/bin/deployer-gnulinux&#10;&gt; #? 1&#10;&gt; 0.001 [ ERROR  ][TinyDemarshaller] Could not load deploy.ops Error: Error document empty.&#10;&gt; 0.001 [ ERROR  ][DeploymentComponent::loadComponents] Some error occured while parsing deploy.ops&#10;&gt; 0.001 [ ERROR  ][Logger] Failed to load a component: aborting kick-start.&#10;&gt;   Switched to : Deployer&#10;&gt;&#10;&gt;  This console reader allows you to browse and manipulate TaskContexts.&#10;&gt;  You can type in an operation, expression, create or change variables.&#10;&gt;  (type &#039;help&#039; for instructions and &#039;ls&#039; for context info)&#10;&gt;&#10;&gt;    TAB completion and HISTORY is available (&#039;bash&#039; like)&#10;&gt;&#10;&gt; Deployer [S]&gt;&#10;&gt;
>
> With every ops file I get this error message. Specifying a non-existing ops file gives a different error.
>
> Any ideas?

I'm working with .ops scripts as well lately and never saw that.
However a colleague of mine, Koen Buys, also mentioned this exact same
behaviour two days ago. Did you find a solution Koen?

Steven

>
> Thanks,
>
> Tim
> --
> Orocos-Users mailing list
> Orocos-Users [..] ...
> http://lists.mech.kuleuven.be/mailman/listinfo/orocos-users
>

Deploy using an ops file

I was working with Koen two days ago. I put it here because now it turned out I have this problem on the AMIGO pc as well.

Tim

----- Reply message -----
From: "Steven Bellens" <steven [dot] bellens [..] ...>
Date: Fri, Jan 28, 2011 5:19 pm
Subject: [Orocos-users] Deploy using an ops file
To: "orocos-users [..] ..." <orocos-users [..] ...>
Cc: "Koen Buys" <Koen [dot] Buys [..] ...>

2011/1/28 t [dot] t [dot] g [dot] clephas [..] ... <t [dot] t [dot] g [dot] clephas [..] ...>:
> Good day,
>
> These are the steps I have taken in order to deploy using an ops file:
>
> &#10;&gt; git clone http://git.mech.kuleuven.be/robotics/orocos_toolchain_ros.git&#10;&gt;&#... git checkout -b orocos_toolchain_ros-0.2&#10;&gt;&#10;&gt; git submodule init&#10;&gt;&#10;&gt; git submodule update --recursive&#10;&gt;&#10;&gt; rosmake ocl&#10;&gt;&#10;&gt; rosrun ocl deployer-gnulinux -s deploy.ops&#10;&gt;
>
> With the deploy.ops:
>
> &#10;&gt; import(&quot;ocl&quot;)&#10;&gt; loadComponent(&quot;HelloWorld&quot;,&quot;OCL::HelloWorld&quot;)&#10;&gt; HelloWorld.start()&#10;&gt;
> And this is the output:
>
> &#10;&gt; [rosrun] You have chosen a non-unique executable, please pick one of the following:&#10;&gt; 1) /opt/ros/cturtle/stacks/orocos_toolchain_ros/ocl/install/bin/deployer-gnulinux&#10;&gt; 2) /opt/ros/cturtle/stacks/orocos_toolchain_ros/ocl/bin/deployer-gnulinux&#10;&gt; #? 1&#10;&gt; 0.001 [ ERROR  ][TinyDemarshaller] Could not load deploy.ops Error: Error document empty.&#10;&gt; 0.001 [ ERROR  ][DeploymentComponent::loadComponents] Some error occured while parsing deploy.ops&#10;&gt; 0.001 [ ERROR  ][Logger] Failed to load a component: aborting kick-start.&#10;&gt;   Switched to : Deployer&#10;&gt;&#10;&gt;  This console reader allows you to browse and manipulate TaskContexts.&#10;&gt;  You can type in an operation, expression, create or change variables.&#10;&gt;  (type &#039;help&#039; for instructions and &#039;ls&#039; for context info)&#10;&gt;&#10;&gt;    TAB completion and HISTORY is available (&#039;bash&#039; like)&#10;&gt;&#10;&gt; Deployer [S]&gt;&#10;&gt;
>
> With every ops file I get this error message. Specifying a non-existing ops file gives a different error.
>
> Any ideas?

I'm working with .ops scripts as well lately and never saw that.
However a colleague of mine, Koen Buys, also mentioned this exact same
behaviour two days ago. Did you find a solution Koen?

Steven

>
> Thanks,
>
> Tim
> --
> Orocos-Users mailing list
> Orocos-Users [..] ...
> http://lists.mech.kuleuven.be/mailman/listinfo/orocos-users
>
--
Orocos-Users mailing list
Orocos-Users [..] ...
http://lists.mech.kuleuven.be/mailman/listinfo/orocos-users

Deploy using an ops file

Good day,

These are the steps I have taken in order to deploy using an ops file:

&#10;git clone http://git.mech.kuleuven.be/robotics/orocos_toolchain_ros.git&#10;&#10;git checkout -b orocos_toolchain_ros-0.2&#10;&#10;git submodule init&#10;&#10;git submodule update --recursive&#10;&#10;rosmake ocl&#10;&#10;rosrun ocl deployer-gnulinux -s deploy.ops &#10;

With the deploy.ops:

&#10;import(&quot;ocl&quot;)&#10;loadComponent(&quot;HelloWorld&quot;,&quot;OCL::HelloWorld&quot;)&#10;HelloWorld.start()&#10;
And this is the output:

&#10;[rosrun] You have chosen a non-unique executable, please pick one of the following:&#10;1) /opt/ros/cturtle/stacks/orocos_toolchain_ros/ocl/install/bin/deployer-gnulinux&#10;2) /opt/ros/cturtle/stacks/orocos_toolchain_ros/ocl/bin/deployer-gnulinux&#10;#? 1&#10;0.001 [ ERROR  ][TinyDemarshaller] Could not load deploy.ops Error: Error document empty.&#10;0.001 [ ERROR  ][DeploymentComponent::loadComponents] Some error occured while parsing deploy.ops&#10;0.001 [ ERROR  ][Logger] Failed to load a component: aborting kick-start.&#10;   Switched to : Deployer&#10;&#10;  This console reader allows you to browse and manipulate TaskContexts.&#10;  You can type in an operation, expression, create or change variables.&#10;  (type &#039;help&#039; for instructions and &#039;ls&#039; for context info)&#10;&#10;    TAB completion and HISTORY is available (&#039;bash&#039; like)&#10;&#10;Deployer [S]&gt; &#10;

With every ops file I get this error message. Specifying a non-existing ops file gives a different error.

Any ideas?

Thanks,

Tim